<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

/**
 * Class Sample
 *
 * A short summary of what this component does.
 *
 * @extends ActiveComponent
 */
class Redirector extends ActiveComponent
{
    public static string $description = 'A short summary of what this compoent does.';
    public static string $version = '1.0.0';

    public $config;

    public array $editSetup = [
         [
                    'name' => 'search',
                    'controltype' => 'text',
                    'value' => '',
                    'label' => 'Search',
                ],
        [
            'name' => 'replace',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Replace',
            'instructions' => '',
        ],
    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {
        $p2 = str_replace($this->config['search'], $this->config['replace'], $wranglerPage->url);
        $p2 = strtolower($p2); // dd($wranglerPage->url, $p2);
        if ($wranglerPage->url !== $p2)
        {
             redirect($p2);
            exit();
        }
    }

    public function preview()
    {
        $view = $this->getPreview();
        return view($view, $this->data())->render();
    }
}
